<?php

use Polkurier\Types\PointTypesNames;

if (!isset($provider)) {
    $provider = '';
}

if (!isset($pointId)) {
    $pointId = '';
}

if (!isset($pointLabel)) {
    $pointLabel = '';
}

if (!isset($pointType)) {
    $pointType = '';
}

$pointTypeName = isset(PointTypesNames::POINT_TYPE_NAMES[strtoupper($provider)][strtoupper($pointType)])
    ? PointTypesNames::POINT_TYPE_NAMES[strtoupper($provider)][strtoupper($pointType)]
    : '';
?>
Zamówienie zostanie dostarczone do punktu:
<p>
    <div>
        <strong><?= $pointTypeName ?> <?= $pointId ?></strong>
    </div>
    <div>
        <?= nl2br(htmlentities2($pointLabel)) ?>
    </div>
</p>
